package it.mokabyte.pattern.exception;

/**
 * <p>Title: DAOException</p>
 * <p>Description: Exception Wrapper of the data underlaying layer</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */
public class DAOException extends Exception {

    private Exception exc = null;


    /**
     * Construct a DAOException with an error message
     * @param message the error message
     */
    public DAOException(String message) {
        super(message);
    }

    /**
     * Construct a DAOException Wrapping the given done
     * @param e
     */
    public DAOException (Exception e)
    {
        this.exc = e;
    }


}