package it.mokabyte.pattern.exception;

/**
 * <p>Title: ECommerceException</p>
 * <p>Description: Exception of the eCommerce operation</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */
public class ECommerceException extends Exception {

    private Exception exc = null;

    /** The no-arg constructor */
    public ECommerceException() {
    }

    /**
     * Construct a DAOException with an error message
     * @param message the error message
     */
    public ECommerceException(String message) {
        super(message);
    }

    /**
     * Construct a DAOException Wrapping the given done
     * @param e
     */
    public ECommerceException(Exception e){
        this.exc = e;
    }

}