package it.mokabyte.pattern.pk;

import java.io.*;

/**
 * <p>Title: AccountPK</p>
 * <p>Description: Account primary key class</p>
 * <p>Copyright:   Copyright (c) 2001</p>
 * <p>Company:</p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */

public class AccountPK implements Serializable {

    public String id;

    public AccountPK() {
    }

    public AccountPK(String key) {
        this.id = key;
    }

    public boolean equals(Object obj) {
      if (this.getClass().equals(obj.getClass())) {
        AccountPK that = (AccountPK) obj;
        return this.id.equals(that.id);
      }
      return false;
    }

    public int hashCode() {
        return id.hashCode();
    }

    public String toString(){
        return "AccountPK : id ["+this.id+"]";
    }
}