package it.mokabyte.pattern.valueobject;

import java.util.*;

/**
 * <p>Title: ProductOM </p>
 * <p>Description: the product object value</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0 :
 */

public class ProductOM implements java.io.Serializable{

	private String name;
	private double price;

	public ProductOM(String name, double p) {
		this.name = name;
		this.price = p;
	}

	// Accessors
	public String getName(){
		return this.name;
	}

	public double getPrice(){
		return this.price;
	}

        public boolean equals(Object obj) // check for equals ID ...
        {
          if( ((ProductOM)obj).getName().equals(this.name))
            return true;
          else
            return false;
        }

	public String toString(){
		return "ProductOM : name[" + this.name + "]-price[" + this.price + "]";
	}

}
