package it.mokabyte.pattern.exception;

/**
 * <p>Title: DAOException</p>
 * <p>Description: Business Application Exception</p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */
public class CopyException extends Exception {

    private Exception exc = null;

    /** The no-arg constructor */
    public CopyException() {
    }

    /**
     * Construct a CopyException with an error message
     * @param message the error message
     */
    public CopyException(String message) {
        super(message);
    }

    public CopyException(Exception e)
    {
        this.exc = e;
    }


}