package it.mokabyte.pattern.util;

/**
 * Title:        <p> Defines
 * Description:  <p> Application constants
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */

public class JndiNames {

  /** JNDI NAMES FOR NON J2EE CLIENTS */
  public static final String ACCOUNT = "MokaAccount";
  public static final String SHOPPER = "MokaShopper";
  public static final String FACADE = "MokaFacade";

  /** JNDI NAMES FOR FACADE SF (java:comp) */
  public static final String ENV_SHOPPER = "java:comp/env/ejb/Shopper";
  public static final String ENV_ACCOUNT = "java:comp/env/ejb/Account";

  /** JNDI NAME FOR JMS TOPIC CONNECTION FACTORY */
  public static final String TOPIC_CONNECTION_FACTORY= "MokaTopicConnectionFactory";

}