package it.mokabyte.pattern.valueobject;

import java.util.Vector;

/**
 * <p>Title: Object Value Collection</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */
public class ListProductModel implements java.io.Serializable {

  private Vector vettore = new Vector();

  public void add(ProductOM p) {
    vettore.add(p);
  }

  public void remove(ProductOM p) {
    vettore.remove(p);
  }

  public ProductOM get(ProductOM p) {
    int index = vettore.indexOf(p);

    if(index != -1) // NOT FOUND
      return (ProductOM)vettore.elementAt(index);
    else
      return null;
  }

  public ProductOM elementAt(int index) {
    return (ProductOM) vettore.elementAt(index);
  }

  public int size() {
    return vettore.size();
  }

  public String toString() {
    return vettore.toString();
  }

}